package keymon.lat.medicomed;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class c_nota_subs_0 {


public static RemoteObject  _activity_pause(RemoteObject __ref,RemoteObject _userclosed) throws Exception{
try {
		Debug.PushSubsStack("Activity_Pause (c_nota) ","c_nota",7,__ref.getField(false, "ba"),__ref,108);
if (RapidSub.canDelegate("activity_pause")) { return __ref.runUserSub(false, "c_nota","activity_pause", __ref, _userclosed);}
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 108;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(2048);
 BA.debugLineNum = 110;BA.debugLine="End Sub";
Debug.ShouldStop(8192);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b_desc_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("b_desc_Click (c_nota) ","c_nota",7,__ref.getField(false, "ba"),__ref,188);
if (RapidSub.canDelegate("b_desc_click")) { return __ref.runUserSub(false, "c_nota","b_desc_click", __ref);}
 BA.debugLineNum = 188;BA.debugLine="Sub b_desc_Click";
Debug.ShouldStop(134217728);
 BA.debugLineNum = 189;BA.debugLine="If DESCUENTO = \"MENOS\" Then";
Debug.ShouldStop(268435456);
if (RemoteObject.solveBoolean("=",__ref.getField(true,"_descuento" /*RemoteObject*/ ),BA.ObjectToString("MENOS"))) { 
 BA.debugLineNum = 190;BA.debugLine="DateTime.DateFormat = \"MM/dd/yyyy\"";
Debug.ShouldStop(536870912);
c_nota.__c.getField(false,"DateTime").runMethod(true,"setDateFormat",BA.ObjectToString("MM/dd/yyyy"));
 BA.debugLineNum = 191;BA.debugLine="sDate=DateTime.Date(DateTime.Now)";
Debug.ShouldStop(1073741824);
__ref.setField ("_sdate" /*RemoteObject*/ ,c_nota.__c.getField(false,"DateTime").runMethod(true,"Date",(Object)(c_nota.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 192;BA.debugLine="sTime=DateTime.Time(DateTime.Now)";
Debug.ShouldStop(-2147483648);
__ref.setField ("_stime" /*RemoteObject*/ ,c_nota.__c.getField(false,"DateTime").runMethod(true,"Time",(Object)(c_nota.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 193;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"Select CUENT";
Debug.ShouldStop(1);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("Select CUENTA from cuentaa"))));
 BA.debugLineNum = 194;BA.debugLine="c.Position=0";
Debug.ShouldStop(2);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 195;BA.debugLine="clie_id = c.GetString(\"CUENTA\")";
Debug.ShouldStop(4);
__ref.setField ("_clie_id" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CUENTA"))));
 BA.debugLineNum = 196;BA.debugLine="c.Close";
Debug.ShouldStop(8);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 197;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select USUAR";
Debug.ShouldStop(16);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select USUARIO from usuarioa"))));
 BA.debugLineNum = 198;BA.debugLine="c.Position=0";
Debug.ShouldStop(32);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 199;BA.debugLine="usuario = c.GetString(\"USUARIO\")";
Debug.ShouldStop(64);
__ref.setField ("_usuario" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("USUARIO"))));
 BA.debugLineNum = 200;BA.debugLine="c.Close";
Debug.ShouldStop(128);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 201;BA.debugLine="result =  Msgbox2(\"Seguro que desea dar descuent";
Debug.ShouldStop(256);
__ref.setField ("_result" /*RemoteObject*/ ,BA.NumberToString(c_nota.__c.runMethodAndSync(true,"Msgbox2",(Object)(BA.ObjectToCharSequence("Seguro que desea dar descuento del 5%?")),(Object)(BA.ObjectToCharSequence("Dar descuento")),(Object)(BA.ObjectToString("Si")),(Object)(BA.ObjectToString("")),(Object)(BA.ObjectToString("No")),(Object)((c_nota.__c.runMethod(false,"LoadBitmap",(Object)(c_nota.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(RemoteObject.createImmutable("alert2.png"))).getObject())),__ref.getField(false, "ba"))));
 BA.debugLineNum = 202;BA.debugLine="If result = DialogResponse.POSITIVE Then";
Debug.ShouldStop(512);
if (RemoteObject.solveBoolean("=",__ref.getField(true,"_result" /*RemoteObject*/ ),BA.NumberToString(c_nota.__c.getField(false,"DialogResponse").getField(true,"POSITIVE")))) { 
 BA.debugLineNum = 203;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"UPDATE ped";
Debug.ShouldStop(1024);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("UPDATE pedido SET PE_COSTO_TOT = PE_COSTO_TOT * .95, PE_DESC = 5 WHERE PE_CLIENTE In (select cuenta from cuentaa)")));
 BA.debugLineNum = 204;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select sum(";
Debug.ShouldStop(2048);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select sum(pe_costo_tot) as TOTAL_CLIE, SUM(PE_CANT) AS CANT_CLIE, count(*) as CUANTOS FROM PEDIDO WHERE PE_CLIENTE IN (Select CUENTA from cuentaa)"))));
 BA.debugLineNum = 205;BA.debugLine="c.Position=0";
Debug.ShouldStop(4096);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 206;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"delete fro";
Debug.ShouldStop(8192);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("delete from pedido_cliente where PC_CLIENTE In (select cuenta from cuentaa)")));
 BA.debugLineNum = 207;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"insert in";
Debug.ShouldStop(16384);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("insert into pedido_cliente(PC_CLIENTE, PC_FECHA, PC_USER, PC_NOART, PC_MONTO,PC_LON, PC_LAT) VALUES (?,?,?,?,?,?,?)")),(Object)(c_nota.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {7},new Object[] {(__ref.getField(true,"_clie_id" /*RemoteObject*/ )),(RemoteObject.concat(__ref.getField(true,"_sdate" /*RemoteObject*/ ),__ref.getField(true,"_stime" /*RemoteObject*/ ))),(__ref.getField(true,"_usuario" /*RemoteObject*/ )),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CANT_CLIE")))),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("TOTAL_CLIE")))),(c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_lon_gps" /*RemoteObject*/ )),(c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_lat_gps" /*RemoteObject*/ ))})))));
 BA.debugLineNum = 208;BA.debugLine="c.Close";
Debug.ShouldStop(32768);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 209;BA.debugLine="B4XPage_Appear";
Debug.ShouldStop(65536);
__ref.runClassMethod (keymon.lat.medicomed.c_nota.class, "_b4xpage_appear" /*RemoteObject*/ );
 };
 }else 
{ BA.debugLineNum = 211;BA.debugLine="ELSE IF DESCUENTO = \"MAS\" Then";
Debug.ShouldStop(262144);
if (RemoteObject.solveBoolean("=",__ref.getField(true,"_descuento" /*RemoteObject*/ ),BA.ObjectToString("MAS"))) { 
 BA.debugLineNum = 212;BA.debugLine="DateTime.DateFormat = \"MM/dd/yyyy\"";
Debug.ShouldStop(524288);
c_nota.__c.getField(false,"DateTime").runMethod(true,"setDateFormat",BA.ObjectToString("MM/dd/yyyy"));
 BA.debugLineNum = 213;BA.debugLine="sDate=DateTime.Date(DateTime.Now)";
Debug.ShouldStop(1048576);
__ref.setField ("_sdate" /*RemoteObject*/ ,c_nota.__c.getField(false,"DateTime").runMethod(true,"Date",(Object)(c_nota.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 214;BA.debugLine="sTime=DateTime.Time(DateTime.Now)";
Debug.ShouldStop(2097152);
__ref.setField ("_stime" /*RemoteObject*/ ,c_nota.__c.getField(false,"DateTime").runMethod(true,"Time",(Object)(c_nota.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 215;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"Select CUENT";
Debug.ShouldStop(4194304);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("Select CUENTA from cuentaa"))));
 BA.debugLineNum = 216;BA.debugLine="c.Position=0";
Debug.ShouldStop(8388608);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 217;BA.debugLine="clie_id = c.GetString(\"CUENTA\")";
Debug.ShouldStop(16777216);
__ref.setField ("_clie_id" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CUENTA"))));
 BA.debugLineNum = 218;BA.debugLine="c.Close";
Debug.ShouldStop(33554432);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 219;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select USUAR";
Debug.ShouldStop(67108864);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select USUARIO from usuarioa"))));
 BA.debugLineNum = 220;BA.debugLine="c.Position=0";
Debug.ShouldStop(134217728);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 221;BA.debugLine="usuario = c.GetString(\"USUARIO\")";
Debug.ShouldStop(268435456);
__ref.setField ("_usuario" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("USUARIO"))));
 BA.debugLineNum = 222;BA.debugLine="c.Close";
Debug.ShouldStop(536870912);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 223;BA.debugLine="result =  Msgbox2(\"Seguro que desea CANCELAR el";
Debug.ShouldStop(1073741824);
__ref.setField ("_result" /*RemoteObject*/ ,BA.NumberToString(c_nota.__c.runMethodAndSync(true,"Msgbox2",(Object)(BA.ObjectToCharSequence("Seguro que desea CANCELAR el descuento?")),(Object)(BA.ObjectToCharSequence("Cancelar descuento")),(Object)(BA.ObjectToString("Si")),(Object)(BA.ObjectToString("")),(Object)(BA.ObjectToString("No")),(Object)((c_nota.__c.runMethod(false,"LoadBitmap",(Object)(c_nota.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(RemoteObject.createImmutable("alert2.png"))).getObject())),__ref.getField(false, "ba"))));
 BA.debugLineNum = 224;BA.debugLine="If result = DialogResponse.POSITIVE Then";
Debug.ShouldStop(-2147483648);
if (RemoteObject.solveBoolean("=",__ref.getField(true,"_result" /*RemoteObject*/ ),BA.NumberToString(c_nota.__c.getField(false,"DialogResponse").getField(true,"POSITIVE")))) { 
 BA.debugLineNum = 225;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"UPDATE ped";
Debug.ShouldStop(1);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("UPDATE pedido SET PE_COSTO_TOT = PE_COSTO_TOT / .95, PE_DESC = 0 WHERE PE_CLIENTE In (select cuenta from cuentaa)")));
 BA.debugLineNum = 226;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select sum(";
Debug.ShouldStop(2);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select sum(pe_costo_tot) as TOTAL_CLIE, SUM(PE_CANT) AS CANT_CLIE, count(*) as CUANTOS FROM PEDIDO WHERE PE_CLIENTE IN (Select CUENTA from cuentaa)"))));
 BA.debugLineNum = 227;BA.debugLine="c.Position=0";
Debug.ShouldStop(4);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 228;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"delete fro";
Debug.ShouldStop(8);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("delete from pedido_cliente where PC_CLIENTE In (select cuenta from cuentaa)")));
 BA.debugLineNum = 229;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"insert in";
Debug.ShouldStop(16);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("insert into pedido_cliente(PC_CLIENTE, PC_FECHA, PC_USER, PC_NOART, PC_MONTO,PC_LON, PC_LAT) VALUES (?,?,?,?,?,?,?)")),(Object)(c_nota.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {7},new Object[] {(__ref.getField(true,"_clie_id" /*RemoteObject*/ )),(RemoteObject.concat(__ref.getField(true,"_sdate" /*RemoteObject*/ ),__ref.getField(true,"_stime" /*RemoteObject*/ ))),(__ref.getField(true,"_usuario" /*RemoteObject*/ )),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CANT_CLIE")))),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("TOTAL_CLIE")))),(c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_lon_gps" /*RemoteObject*/ )),(c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_lat_gps" /*RemoteObject*/ ))})))));
 BA.debugLineNum = 230;BA.debugLine="c.Close";
Debug.ShouldStop(32);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 231;BA.debugLine="B4XPage_Appear";
Debug.ShouldStop(64);
__ref.runClassMethod (keymon.lat.medicomed.c_nota.class, "_b4xpage_appear" /*RemoteObject*/ );
 };
 }}
;
 BA.debugLineNum = 234;BA.debugLine="End Sub";
Debug.ShouldStop(512);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b4xpage_appear(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Appear (c_nota) ","c_nota",7,__ref.getField(false, "ba"),__ref,55);
if (RapidSub.canDelegate("b4xpage_appear")) { return __ref.runUserSub(false, "c_nota","b4xpage_appear", __ref);}
RemoteObject _cs = RemoteObject.declareNull("anywheresoftware.b4a.objects.CSBuilder");
int _i = 0;
RemoteObject _label1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
RemoteObject _textcolor = RemoteObject.createImmutable(0);
RemoteObject _label2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
 BA.debugLineNum = 55;BA.debugLine="Sub B4XPage_Appear";
Debug.ShouldStop(4194304);
 BA.debugLineNum = 56;BA.debugLine="If Not(Starter.gps.GPSEnabled) Then";
Debug.ShouldStop(8388608);
if (c_nota.__c.runMethod(true,"Not",(Object)(c_nota._starter._gps /*RemoteObject*/ .runMethod(true,"getGPSEnabled"))).<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 57;BA.debugLine="ToastMessageShow(\"Es necesario tener el GPS ence";
Debug.ShouldStop(16777216);
c_nota.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Es necesario tener el GPS encendido")),(Object)(c_nota.__c.getField(true,"True")));
 BA.debugLineNum = 58;BA.debugLine="StartActivity(Starter.gps.LocationSettingsIntent";
Debug.ShouldStop(33554432);
c_nota.__c.runVoidMethod ("StartActivity",__ref.getField(false, "ba"),(Object)((c_nota._starter._gps /*RemoteObject*/ .runMethod(false,"getLocationSettingsIntent"))));
 };
 BA.debugLineNum = 60;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select  ID_AL";
Debug.ShouldStop(134217728);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select  ID_ALMACEN from CAT_ALMACEN"))));
 BA.debugLineNum = 61;BA.debugLine="C.Position =0";
Debug.ShouldStop(268435456);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 62;BA.debugLine="almacen = C.GetString(\"ID_ALMACEN\")";
Debug.ShouldStop(536870912);
__ref.setField ("_almacen" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("ID_ALMACEN"))));
 BA.debugLineNum = 63;BA.debugLine="C.Close";
Debug.ShouldStop(1073741824);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 64;BA.debugLine="L_CANT.Text =\"\"";
Debug.ShouldStop(-2147483648);
__ref.getField(false,"_l_cant" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 65;BA.debugLine="L_TOTAL.Text=\"\"";
Debug.ShouldStop(1);
__ref.getField(false,"_l_total" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 66;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select count(";
Debug.ShouldStop(2);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select count(*) as EXISTE from pedido_cliente WHERE pc_cliente IN (Select CUENTA from cuentaa)"))));
 BA.debugLineNum = 67;BA.debugLine="C.Position=0";
Debug.ShouldStop(4);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 68;BA.debugLine="Existe = C.GetString(\"EXISTE\")";
Debug.ShouldStop(8);
__ref.setField ("_existe" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("EXISTE"))));
 BA.debugLineNum = 69;BA.debugLine="C.Close";
Debug.ShouldStop(16);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 70;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select PE_PRO";
Debug.ShouldStop(32);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select PE_PRONOMBRE,PE_COSTO_TOT, PE_CANT, PE_FOLIO, PE_CEDIS FROM PEDIDO WHERE PE_CLIENTE IN (Select CUENTA from cuentaa) order by PE_CEDIS, PE_PRONOMBRE"))));
 BA.debugLineNum = 71;BA.debugLine="ListView1.Clear";
Debug.ShouldStop(64);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("Clear");
 BA.debugLineNum = 72;BA.debugLine="Private cs As CSBuilder";
Debug.ShouldStop(128);
_cs = RemoteObject.createNew ("anywheresoftware.b4a.objects.CSBuilder");Debug.locals.put("cs", _cs);
 BA.debugLineNum = 73;BA.debugLine="If c.RowCount>0 Then";
Debug.ShouldStop(256);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 74;BA.debugLine="For i=0 To c.RowCount -1";
Debug.ShouldStop(512);
{
final int step19 = 1;
final int limit19 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step19 > 0 && _i <= limit19) || (step19 < 0 && _i >= limit19) ;_i = ((int)(0 + _i + step19))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 75;BA.debugLine="cs.Initialize";
Debug.ShouldStop(1024);
_cs.runVoidMethod ("Initialize");
 BA.debugLineNum = 76;BA.debugLine="c.Position=i";
Debug.ShouldStop(2048);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 77;BA.debugLine="Dim label1 As Label";
Debug.ShouldStop(4096);
_label1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 78;BA.debugLine="label1 = ListView1.TwoLinesLayout.Label";
Debug.ShouldStop(8192);
_label1 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"Label");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 79;BA.debugLine="label1.TextSize = 15";
Debug.ShouldStop(16384);
_label1.runMethod(true,"setTextSize",BA.numberCast(float.class, 15));
 BA.debugLineNum = 80;BA.debugLine="label1.TextColor = Colors.Black";
Debug.ShouldStop(32768);
_label1.runMethod(true,"setTextColor",c_nota.__c.getField(false,"Colors").getField(true,"Black"));
 BA.debugLineNum = 81;BA.debugLine="label1.color = Colors.White";
Debug.ShouldStop(65536);
_label1.runVoidMethod ("setColor",c_nota.__c.getField(false,"Colors").getField(true,"White"));
 BA.debugLineNum = 82;BA.debugLine="Private textColor As Int = Colors.black";
Debug.ShouldStop(131072);
_textcolor = c_nota.__c.getField(false,"Colors").getField(true,"Black");Debug.locals.put("textColor", _textcolor);Debug.locals.put("textColor", _textcolor);
 BA.debugLineNum = 84;BA.debugLine="If Not(IsNumber(c.GetString(\"PE_CEDIS\"))) Then";
Debug.ShouldStop(524288);
if (c_nota.__c.runMethod(true,"Not",(Object)(c_nota.__c.runMethod(true,"IsNumber",(Object)(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_CEDIS"))))))).<Boolean>get().booleanValue()) { 
_textcolor = c_nota.__c.getField(false,"Colors").runMethod(true,"RGB",(Object)(BA.numberCast(int.class, 210)),(Object)(BA.numberCast(int.class, 105)),(Object)(BA.numberCast(int.class, 30)));Debug.locals.put("textColor", _textcolor);};
 BA.debugLineNum = 85;BA.debugLine="Dim label2 As Label";
Debug.ShouldStop(1048576);
_label2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 86;BA.debugLine="label2 = ListView1.TwoLinesLayout.SecondLabel";
Debug.ShouldStop(2097152);
_label2 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"SecondLabel");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 87;BA.debugLine="label2.TextSize = 10";
Debug.ShouldStop(4194304);
_label2.runMethod(true,"setTextSize",BA.numberCast(float.class, 10));
 BA.debugLineNum = 88;BA.debugLine="label2.TextColor = Colors.Blue";
Debug.ShouldStop(8388608);
_label2.runMethod(true,"setTextColor",c_nota.__c.getField(false,"Colors").getField(true,"Blue"));
 BA.debugLineNum = 89;BA.debugLine="ListView1.AddTwoLines(cs.Color(textColor).appen";
Debug.ShouldStop(16777216);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("AddTwoLines",(Object)(BA.ObjectToCharSequence(_cs.runMethod(false,"Color",(Object)(_textcolor)).runMethod(false,"Append",(Object)(BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_PRONOMBRE")))))).runMethod(false,"Pop").getObject())),(Object)(BA.ObjectToCharSequence(RemoteObject.concat(RemoteObject.createImmutable("Cantidad #"),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_CANT"))),RemoteObject.createImmutable(" SubTotal $"),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_COSTO_TOT"))),RemoteObject.createImmutable(" Folio "),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_FOLIO")))))));
 BA.debugLineNum = 90;BA.debugLine="folio = c.GetString(\"PE_FOLIO\")";
Debug.ShouldStop(33554432);
__ref.setField ("_folio" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_FOLIO"))));
 }
}Debug.locals.put("i", _i);
;
 };
 BA.debugLineNum = 93;BA.debugLine="If Existe <> 0 Then";
Debug.ShouldStop(268435456);
if (RemoteObject.solveBoolean("!",__ref.getField(true,"_existe" /*RemoteObject*/ ),BA.NumberToString(0))) { 
 BA.debugLineNum = 94;BA.debugLine="c =B4XPages.MainPage.skmt.ExecQuery(\"select sum(";
Debug.ShouldStop(536870912);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select sum(PE_CANT) as PC_NOART, sum (PE_COSTO_TOT) as PC_MONTO from PEDIDO where PE_CLIENTE in (Select CUENTA from cuentaa) AND PE_PROID NOT IN (SELECT CAT_PA_ID FROM PROMOS_COMP ) "))));
 BA.debugLineNum = 96;BA.debugLine="C.Position=0";
Debug.ShouldStop(-2147483648);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 97;BA.debugLine="L_CANT.Text = c.GetString(\"PC_NOART\")";
Debug.ShouldStop(1);
__ref.getField(false,"_l_cant" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_NOART")))));
 BA.debugLineNum = 98;BA.debugLine="L_TOTAL.Text = c.GetString(\"PC_MONTO\")";
Debug.ShouldStop(2);
__ref.getField(false,"_l_total" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_MONTO")))));
 BA.debugLineNum = 99;BA.debugLine="c.Close";
Debug.ShouldStop(4);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 100;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select SUM(I";
Debug.ShouldStop(8);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select SUM(IFNULL(PE_DESC,0)) AS DESCUENTO FROM PEDIDO WHERE PE_CLIENTE IN (Select CUENTA from cuentaa)"))));
 BA.debugLineNum = 101;BA.debugLine="c.Position=0";
Debug.ShouldStop(16);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 102;BA.debugLine="DESC = c.GetString(\"DESCUENTO\")";
Debug.ShouldStop(32);
__ref.setField ("_desc" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("DESCUENTO"))));
 BA.debugLineNum = 103;BA.debugLine="b_desc.Visible = False";
Debug.ShouldStop(64);
__ref.getField(false,"_b_desc" /*RemoteObject*/ ).runMethod(true,"setVisible",c_nota.__c.getField(true,"False"));
 };
 BA.debugLineNum = 105;BA.debugLine="If Subs.pedidoGuardado Then borra.Enabled = False";
Debug.ShouldStop(256);
if (c_nota._subs.runMethod(true,"_pedidoguardado" /*RemoteObject*/ ,__ref.getField(false, "ba")).<Boolean>get().booleanValue()) { 
__ref.getField(false,"_borra" /*RemoteObject*/ ).runMethod(true,"setEnabled",c_nota.__c.getField(true,"False"));}
else {
__ref.getField(false,"_borra" /*RemoteObject*/ ).runMethod(true,"setEnabled",c_nota.__c.getField(true,"True"));};
 BA.debugLineNum = 106;BA.debugLine="End Sub";
Debug.ShouldStop(512);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b4xpage_closerequest(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_CloseRequest (c_nota) ","c_nota",7,__ref.getField(false, "ba"),__ref,121);
if (RapidSub.canDelegate("b4xpage_closerequest")) { return __ref.runUserSub(false, "c_nota","b4xpage_closerequest", __ref);}
ResumableSub_B4XPage_CloseRequest rsub = new ResumableSub_B4XPage_CloseRequest(null,__ref);
rsub.remoteResumableSub = anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSubForFilter();
rsub.resume(null, null);
return RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.keywords.Common.ResumableSubWrapper"), rsub.remoteResumableSub);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_B4XPage_CloseRequest extends BA.ResumableSub {
public ResumableSub_B4XPage_CloseRequest(keymon.lat.medicomed.c_nota parent,RemoteObject __ref) {
this.parent = parent;
this.__ref = __ref;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
RemoteObject __ref;
keymon.lat.medicomed.c_nota parent;

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_CloseRequest (c_nota) ","c_nota",7,__ref.getField(false, "ba"),__ref,121);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
{
parent.__c.runVoidMethod ("ReturnFromResumableSub",this.remoteResumableSub,RemoteObject.createImmutable(null));return;}
case 0:
//C
this.state = -1;
Debug.locals.put("_ref", __ref);
 BA.debugLineNum = 124;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
Debug.ShouldStop(134217728);
parent._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("Cliente")));
 BA.debugLineNum = 125;BA.debugLine="Return False";
Debug.ShouldStop(268435456);
if (true) {
parent.__c.runVoidMethod ("ReturnFromResumableSub",this.remoteResumableSub,(parent.__c.getField(true,"False")));return;};
 BA.debugLineNum = 126;BA.debugLine="End Sub";
Debug.ShouldStop(536870912);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static RemoteObject  _b4xpage_created(RemoteObject __ref,RemoteObject _root1) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Created (c_nota) ","c_nota",7,__ref.getField(false, "ba"),__ref,39);
if (RapidSub.canDelegate("b4xpage_created")) { return __ref.runUserSub(false, "c_nota","b4xpage_created", __ref, _root1);}
Debug.locals.put("Root1", _root1);
 BA.debugLineNum = 39;BA.debugLine="Private Sub B4XPage_Created (Root1 As B4XView)";
Debug.ShouldStop(64);
 BA.debugLineNum = 40;BA.debugLine="Root = Root1";
Debug.ShouldStop(128);
__ref.setField ("_root" /*RemoteObject*/ ,_root1);
 BA.debugLineNum = 41;BA.debugLine="ruta = File.DirInternal";
Debug.ShouldStop(256);
__ref.setField ("_ruta" /*RemoteObject*/ ,c_nota.__c.getField(false,"File").runMethod(true,"getDirInternal"));
 BA.debugLineNum = 42;BA.debugLine="Root.LoadLayout(\"nota\")";
Debug.ShouldStop(512);
__ref.getField(false,"_root" /*RemoteObject*/ ).runVoidMethodAndSync ("LoadLayout",(Object)(RemoteObject.createImmutable("nota")),__ref.getField(false, "ba"));
 BA.debugLineNum = 43;BA.debugLine="borra.Visible = True";
Debug.ShouldStop(1024);
__ref.getField(false,"_borra" /*RemoteObject*/ ).runMethod(true,"setVisible",c_nota.__c.getField(true,"True"));
 BA.debugLineNum = 44;BA.debugLine="Titulo.Text = \"Pedido Actual\"";
Debug.ShouldStop(2048);
__ref.getField(false,"_titulo" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence("Pedido Actual"));
 BA.debugLineNum = 51;BA.debugLine="End Sub";
Debug.ShouldStop(262144);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _borra_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("borra_Click (c_nota) ","c_nota",7,__ref.getField(false, "ba"),__ref,128);
if (RapidSub.canDelegate("borra_click")) { return __ref.runUserSub(false, "c_nota","borra_click", __ref);}
int _i = 0;
 BA.debugLineNum = 128;BA.debugLine="Sub borra_Click";
Debug.ShouldStop(-2147483648);
 BA.debugLineNum = 129;BA.debugLine="If folio <> \"\" Then";
Debug.ShouldStop(1);
if (RemoteObject.solveBoolean("!",__ref.getField(true,"_folio" /*RemoteObject*/ ),BA.ObjectToString(""))) { 
 BA.debugLineNum = 130;BA.debugLine="result =  Msgbox2(\"Seguro que desea borrar el pe";
Debug.ShouldStop(2);
__ref.setField ("_result" /*RemoteObject*/ ,BA.NumberToString(c_nota.__c.runMethodAndSync(true,"Msgbox2",(Object)(BA.ObjectToCharSequence("Seguro que desea borrar el pedido?")),(Object)(BA.ObjectToCharSequence("Cancelar pedido")),(Object)(BA.ObjectToString("Si")),(Object)(BA.ObjectToString("")),(Object)(BA.ObjectToString("No")),(Object)((c_nota.__c.runMethod(false,"LoadBitmap",(Object)(c_nota.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(RemoteObject.createImmutable("alert2.png"))).getObject())),__ref.getField(false, "ba"))));
 BA.debugLineNum = 131;BA.debugLine="If result = DialogResponse.POSITIVE Then";
Debug.ShouldStop(4);
if (RemoteObject.solveBoolean("=",__ref.getField(true,"_result" /*RemoteObject*/ ),BA.NumberToString(c_nota.__c.getField(false,"DialogResponse").getField(true,"POSITIVE")))) { 
 BA.debugLineNum = 132;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select PE_P";
Debug.ShouldStop(8);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select PE_PROID,PE_CANT FROM PEDIDO where pe_cliente in (Select CUENTA from cuentaa) "))));
 BA.debugLineNum = 133;BA.debugLine="If c.RowCount>0 Then";
Debug.ShouldStop(16);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 134;BA.debugLine="For i=0 To c.RowCount -1";
Debug.ShouldStop(32);
{
final int step6 = 1;
final int limit6 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step6 > 0 && _i <= limit6) || (step6 < 0 && _i >= limit6) ;_i = ((int)(0 + _i + step6))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 135;BA.debugLine="c.Position=i";
Debug.ShouldStop(64);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 136;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"update";
Debug.ShouldStop(128);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("update cat_gunaprod set cat_gp_almacen = cat_gp_almacen + ? where cat_gp_id = ?")),(Object)(c_nota.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {2},new Object[] {(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_CANT")))),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_PROID"))))})))));
 BA.debugLineNum = 137;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"INSERT";
Debug.ShouldStop(256);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO  INVENT_X_ENVIAR (ALMACEN , PROID , CANTIDAD ) VALUES(?,?,?) ")),(Object)(c_nota.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {3},new Object[] {(__ref.getField(true,"_almacen" /*RemoteObject*/ )),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_PROID")))),RemoteObject.createImmutable(((double)(Double.parseDouble(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_CANT"))).<String>get()))*-(double) (0 + 1)))})))));
 }
}Debug.locals.put("i", _i);
;
 };
 BA.debugLineNum = 140;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"delete fro";
Debug.ShouldStop(2048);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("delete from pedido_cliente where pc_cliente in (Select CUENTA from cuentaa)")));
 BA.debugLineNum = 141;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"delete fro";
Debug.ShouldStop(4096);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("delete from pedido where pe_cliente in (Select CUENTA from cuentaa)")));
 BA.debugLineNum = 142;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"UPDATE kmt";
Debug.ShouldStop(8192);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("UPDATE kmt_info set gestion = 0  where CAT_CL_CODIGO In (select cuenta from cuentaa)")));
 BA.debugLineNum = 143;BA.debugLine="B4XPage_Appear";
Debug.ShouldStop(16384);
__ref.runClassMethod (keymon.lat.medicomed.c_nota.class, "_b4xpage_appear" /*RemoteObject*/ );
 };
 }else {
 BA.debugLineNum = 146;BA.debugLine="Msgbox(\"CLIENTE YA SE TRANSMITIO, FAVOR DE LLAMA";
Debug.ShouldStop(131072);
c_nota.__c.runVoidMethodAndSync ("Msgbox",(Object)(BA.ObjectToCharSequence("CLIENTE YA SE TRANSMITIO, FAVOR DE LLAMAR A SOPORTE PARA ASISTENCIA")),(Object)(BA.ObjectToCharSequence(RemoteObject.createImmutable("AVISO"))),__ref.getField(false, "ba"));
 };
 BA.debugLineNum = 148;BA.debugLine="End Sub";
Debug.ShouldStop(524288);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _class_globals(RemoteObject __ref) throws Exception{
 //BA.debugLineNum = 1;BA.debugLine="Sub Class_Globals";
 //BA.debugLineNum = 2;BA.debugLine="Private Root As B4XView 'ignore";
c_nota._root = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper");__ref.setField("_root",c_nota._root);
 //BA.debugLineNum = 3;BA.debugLine="Private xui As XUI 'ignore";
c_nota._xui = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper.XUI");__ref.setField("_xui",c_nota._xui);
 //BA.debugLineNum = 5;BA.debugLine="Dim skmt As SQL";
c_nota._skmt = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL");__ref.setField("_skmt",c_nota._skmt);
 //BA.debugLineNum = 6;BA.debugLine="Dim g As GPS";
c_nota._g = RemoteObject.createNew ("anywheresoftware.b4a.gps.GPS");__ref.setField("_g",c_nota._g);
 //BA.debugLineNum = 7;BA.debugLine="Dim clie_id As String";
c_nota._clie_id = RemoteObject.createImmutable("");__ref.setField("_clie_id",c_nota._clie_id);
 //BA.debugLineNum = 8;BA.debugLine="Dim sDate,sTime As String";
c_nota._sdate = RemoteObject.createImmutable("");__ref.setField("_sdate",c_nota._sdate);
c_nota._stime = RemoteObject.createImmutable("");__ref.setField("_stime",c_nota._stime);
 //BA.debugLineNum = 9;BA.debugLine="Dim usuario As String";
c_nota._usuario = RemoteObject.createImmutable("");__ref.setField("_usuario",c_nota._usuario);
 //BA.debugLineNum = 11;BA.debugLine="Dim c As Cursor";
c_nota._c = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");__ref.setField("_c",c_nota._c);
 //BA.debugLineNum = 12;BA.debugLine="Dim ruta As String";
c_nota._ruta = RemoteObject.createImmutable("");__ref.setField("_ruta",c_nota._ruta);
 //BA.debugLineNum = 13;BA.debugLine="Dim Regresar As Button";
c_nota._regresar = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_regresar",c_nota._regresar);
 //BA.debugLineNum = 15;BA.debugLine="Dim ListView1 As ListView";
c_nota._listview1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.ListViewWrapper");__ref.setField("_listview1",c_nota._listview1);
 //BA.debugLineNum = 16;BA.debugLine="Dim L_CANT As Label";
c_nota._l_cant = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_l_cant",c_nota._l_cant);
 //BA.debugLineNum = 17;BA.debugLine="Dim L_TOTAL As Label";
c_nota._l_total = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_l_total",c_nota._l_total);
 //BA.debugLineNum = 18;BA.debugLine="Dim borra As Button";
c_nota._borra = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_borra",c_nota._borra);
 //BA.debugLineNum = 19;BA.debugLine="Dim Existe As String";
c_nota._existe = RemoteObject.createImmutable("");__ref.setField("_existe",c_nota._existe);
 //BA.debugLineNum = 20;BA.debugLine="Dim result As String";
c_nota._result = RemoteObject.createImmutable("");__ref.setField("_result",c_nota._result);
 //BA.debugLineNum = 22;BA.debugLine="Dim DESC As String";
c_nota._desc = RemoteObject.createImmutable("");__ref.setField("_desc",c_nota._desc);
 //BA.debugLineNum = 24;BA.debugLine="Private Titulo As Label";
c_nota._titulo = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_titulo",c_nota._titulo);
 //BA.debugLineNum = 25;BA.debugLine="Private b_desc As Button";
c_nota._b_desc = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_b_desc",c_nota._b_desc);
 //BA.debugLineNum = 26;BA.debugLine="Dim DESCUENTO As String";
c_nota._descuento = RemoteObject.createImmutable("");__ref.setField("_descuento",c_nota._descuento);
 //BA.debugLineNum = 27;BA.debugLine="Dim folio As String";
c_nota._folio = RemoteObject.createImmutable("");__ref.setField("_folio",c_nota._folio);
 //BA.debugLineNum = 28;BA.debugLine="Dim tgl As Toggle";
c_nota._tgl = RemoteObject.createNew ("com.rootsoft.togglelibrary.ToggleLibrary");__ref.setField("_tgl",c_nota._tgl);
 //BA.debugLineNum = 29;BA.debugLine="Private almacen As String";
c_nota._almacen = RemoteObject.createImmutable("");__ref.setField("_almacen",c_nota._almacen);
 //BA.debugLineNum = 30;BA.debugLine="Private p_nota As Panel";
c_nota._p_nota = RemoteObject.createNew ("anywheresoftware.b4a.objects.PanelWrapper");__ref.setField("_p_nota",c_nota._p_nota);
 //BA.debugLineNum = 31;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _gps_locationchanged(RemoteObject __ref,RemoteObject _location1) throws Exception{
try {
		Debug.PushSubsStack("GPS_LocationChanged (c_nota) ","c_nota",7,__ref.getField(false, "ba"),__ref,112);
if (RapidSub.canDelegate("gps_locationchanged")) { return __ref.runUserSub(false, "c_nota","gps_locationchanged", __ref, _location1);}
Debug.locals.put("Location1", _location1);
 BA.debugLineNum = 112;BA.debugLine="Sub GPS_LocationChanged (Location1 As Location)";
Debug.ShouldStop(32768);
 BA.debugLineNum = 115;BA.debugLine="End Sub";
Debug.ShouldStop(262144);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _initialize(RemoteObject __ref,RemoteObject _ba) throws Exception{
try {
		Debug.PushSubsStack("Initialize (c_nota) ","c_nota",7,__ref.getField(false, "ba"),__ref,34);
if (RapidSub.canDelegate("initialize")) { return __ref.runUserSub(false, "c_nota","initialize", __ref, _ba);}
__ref.runVoidMethodAndSync("innerInitializeHelper", _ba);
Debug.locals.put("ba", _ba);
 BA.debugLineNum = 34;BA.debugLine="Public Sub Initialize As Object";
Debug.ShouldStop(2);
 BA.debugLineNum = 35;BA.debugLine="Return Me";
Debug.ShouldStop(4);
if (true) return __ref;
 BA.debugLineNum = 36;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _listview1_itemlongclick(RemoteObject __ref,RemoteObject _position,RemoteObject _value) throws Exception{
try {
		Debug.PushSubsStack("ListView1_ItemLongClick (c_nota) ","c_nota",7,__ref.getField(false, "ba"),__ref,150);
if (RapidSub.canDelegate("listview1_itemlongclick")) { return __ref.runUserSub(false, "c_nota","listview1_itemlongclick", __ref, _position, _value);}
Debug.locals.put("Position", _position);
Debug.locals.put("Value", _value);
 BA.debugLineNum = 150;BA.debugLine="Sub ListView1_ItemLongClick (Position As Int, Valu";
Debug.ShouldStop(2097152);
 BA.debugLineNum = 151;BA.debugLine="result =  Msgbox2(\"Seguro que desea borrar este a";
Debug.ShouldStop(4194304);
__ref.setField ("_result" /*RemoteObject*/ ,BA.NumberToString(c_nota.__c.runMethodAndSync(true,"Msgbox2",(Object)(BA.ObjectToCharSequence("Seguro que desea borrar este articulo?")),(Object)(BA.ObjectToCharSequence("Borrar Articulo")),(Object)(BA.ObjectToString("Si")),(Object)(BA.ObjectToString("")),(Object)(BA.ObjectToString("No")),(Object)((c_nota.__c.runMethod(false,"LoadBitmap",(Object)(c_nota.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(RemoteObject.createImmutable("alert2.png"))).getObject())),__ref.getField(false, "ba"))));
 BA.debugLineNum = 152;BA.debugLine="If result = DialogResponse.POSITIVE Then";
Debug.ShouldStop(8388608);
if (RemoteObject.solveBoolean("=",__ref.getField(true,"_result" /*RemoteObject*/ ),BA.NumberToString(c_nota.__c.getField(false,"DialogResponse").getField(true,"POSITIVE")))) { 
 BA.debugLineNum = 153;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery2(\"select PE_P";
Debug.ShouldStop(16777216);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery2",(Object)(BA.ObjectToString("select PE_PROID,PE_CANT FROM PEDIDO where pe_pronombre = ? and pe_cliente in (Select CUENTA from cuentaa) ")),(Object)(RemoteObject.createNewArray("String",new int[] {1},new Object[] {BA.ObjectToString(_value)}))));
 BA.debugLineNum = 154;BA.debugLine="c.Position=0";
Debug.ShouldStop(33554432);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 155;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"update cat";
Debug.ShouldStop(67108864);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("update cat_gunaprod set cat_gp_almacen = cat_gp_almacen + ? where cat_gp_id = ?")),(Object)(c_nota.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {2},new Object[] {(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_CANT")))),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_PROID"))))})))));
 BA.debugLineNum = 156;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"INSERT INT";
Debug.ShouldStop(134217728);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO  INVENT_X_ENVIAR (ALMACEN , PROID , CANTIDAD ) VALUES(?,?,?) ")),(Object)(c_nota.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {3},new Object[] {(__ref.getField(true,"_almacen" /*RemoteObject*/ )),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_PROID")))),RemoteObject.createImmutable(((double)(Double.parseDouble(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_CANT"))).<String>get()))*-(double) (0 + 1)))})))));
 BA.debugLineNum = 157;BA.debugLine="c.Close";
Debug.ShouldStop(268435456);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 158;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery2(\"select coun";
Debug.ShouldStop(536870912);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery2",(Object)(BA.ObjectToString("select count(*) AS CUANTOS from cat_gunaprod where  CAT_GP_ID in (select pe_cedis from pedido where pe_pronombre = ? and pe_cliente in (Select CUENTA from cuentaa)) and CAT_GP_CLASIF = 'PROMOS' AND CAT_GP_TIPO = 'PROMOS' AND CAT_GP_SUBTIPO = 'PROMOS'")),(Object)(RemoteObject.createNewArray("String",new int[] {1},new Object[] {BA.ObjectToString(_value)}))));
 BA.debugLineNum = 159;BA.debugLine="c.Position=0";
Debug.ShouldStop(1073741824);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 160;BA.debugLine="If c.GetString(\"CUANTOS\") > 0 Then";
Debug.ShouldStop(-2147483648);
if (RemoteObject.solveBoolean(">",BA.numberCast(double.class, __ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CUANTOS")))),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 161;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"delete fr";
Debug.ShouldStop(1);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("delete from pedido where  pe_cedis in (select pe_cedis from pedido where pe_pronombre = ?) and pe_cliente in (Select CUENTA from cuentaa)")),(Object)(c_nota.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {_value})))));
 }else {
 BA.debugLineNum = 163;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"delete fr";
Debug.ShouldStop(4);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("delete from pedido where  pe_pronombre = ?  and pe_cliente in (Select CUENTA from cuentaa)")),(Object)(c_nota.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {_value})))));
 };
 BA.debugLineNum = 165;BA.debugLine="DateTime.DateFormat = \"MM/dd/yyyy\"";
Debug.ShouldStop(16);
c_nota.__c.getField(false,"DateTime").runMethod(true,"setDateFormat",BA.ObjectToString("MM/dd/yyyy"));
 BA.debugLineNum = 166;BA.debugLine="sDate=DateTime.Date(DateTime.Now)";
Debug.ShouldStop(32);
__ref.setField ("_sdate" /*RemoteObject*/ ,c_nota.__c.getField(false,"DateTime").runMethod(true,"Date",(Object)(c_nota.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 167;BA.debugLine="sTime=DateTime.Time(DateTime.Now)";
Debug.ShouldStop(64);
__ref.setField ("_stime" /*RemoteObject*/ ,c_nota.__c.getField(false,"DateTime").runMethod(true,"Time",(Object)(c_nota.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 168;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"Select CUENT";
Debug.ShouldStop(128);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("Select CUENTA from cuentaa"))));
 BA.debugLineNum = 169;BA.debugLine="c.Position=0";
Debug.ShouldStop(256);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 170;BA.debugLine="clie_id = c.GetString(\"CUENTA\")";
Debug.ShouldStop(512);
__ref.setField ("_clie_id" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CUENTA"))));
 BA.debugLineNum = 171;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select USUAR";
Debug.ShouldStop(1024);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select USUARIO from usuarioa"))));
 BA.debugLineNum = 172;BA.debugLine="c.Position=0";
Debug.ShouldStop(2048);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 173;BA.debugLine="usuario = c.GetString(\"USUARIO\")";
Debug.ShouldStop(4096);
__ref.setField ("_usuario" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("USUARIO"))));
 BA.debugLineNum = 174;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select sum(p";
Debug.ShouldStop(8192);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select sum(pe_costo_tot) as TOTAL_CLIE, SUM(PE_CANT) AS CANT_CLIE, count(*) as CUANTOS FROM PEDIDO WHERE PE_CLIENTE IN (Select CUENTA from cuentaa)"))));
 BA.debugLineNum = 175;BA.debugLine="c.Position=0";
Debug.ShouldStop(16384);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 176;BA.debugLine="If c.GetString(\"CUANTOS\") > 0 Then";
Debug.ShouldStop(32768);
if (RemoteObject.solveBoolean(">",BA.numberCast(double.class, __ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CUANTOS")))),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 177;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"delete fro";
Debug.ShouldStop(65536);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("delete from pedido_cliente where PC_CLIENTE In (select cuenta from cuentaa)")));
 BA.debugLineNum = 178;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"insert in";
Debug.ShouldStop(131072);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("insert into pedido_cliente(PC_CLIENTE, PC_FECHA, PC_USER, PC_NOART, PC_MONTO,PC_LON, PC_LAT) VALUES (?,?,?,?,?,?,?)")),(Object)(c_nota.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {7},new Object[] {(__ref.getField(true,"_clie_id" /*RemoteObject*/ )),(RemoteObject.concat(__ref.getField(true,"_sdate" /*RemoteObject*/ ),__ref.getField(true,"_stime" /*RemoteObject*/ ))),(__ref.getField(true,"_usuario" /*RemoteObject*/ )),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CANT_CLIE")))),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("TOTAL_CLIE")))),(c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_lon_gps" /*RemoteObject*/ )),(c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_lat_gps" /*RemoteObject*/ ))})))));
 BA.debugLineNum = 179;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"UPDATE kmt";
Debug.ShouldStop(262144);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("UPDATE kmt_info set gestion = 0  where CAT_CL_CODIGO In (select cuenta from cuentaa)")));
 }else {
 BA.debugLineNum = 181;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"delete fro";
Debug.ShouldStop(1048576);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("delete from pedido_cliente where PC_CLIENTE In (select cuenta from cuentaa)")));
 BA.debugLineNum = 182;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"UPDATE kmt";
Debug.ShouldStop(2097152);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("UPDATE kmt_info set gestion = 0  where CAT_CL_CODIGO In (select cuenta from cuentaa)")));
 };
 BA.debugLineNum = 184;BA.debugLine="B4XPage_Appear";
Debug.ShouldStop(8388608);
__ref.runClassMethod (keymon.lat.medicomed.c_nota.class, "_b4xpage_appear" /*RemoteObject*/ );
 };
 BA.debugLineNum = 186;BA.debugLine="End Sub";
Debug.ShouldStop(33554432);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _p_nota_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("p_nota_Click (c_nota) ","c_nota",7,__ref.getField(false, "ba"),__ref,236);
if (RapidSub.canDelegate("p_nota_click")) { return __ref.runUserSub(false, "c_nota","p_nota_click", __ref);}
 BA.debugLineNum = 236;BA.debugLine="Private Sub p_nota_Click";
Debug.ShouldStop(2048);
 BA.debugLineNum = 238;BA.debugLine="End Sub";
Debug.ShouldStop(8192);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _regresar_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("Regresar_Click (c_nota) ","c_nota",7,__ref.getField(false, "ba"),__ref,117);
if (RapidSub.canDelegate("regresar_click")) { return __ref.runUserSub(false, "c_nota","regresar_click", __ref);}
 BA.debugLineNum = 117;BA.debugLine="Sub Regresar_Click";
Debug.ShouldStop(1048576);
 BA.debugLineNum = 118;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
Debug.ShouldStop(2097152);
c_nota._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("Cliente")));
 BA.debugLineNum = 119;BA.debugLine="End Sub";
Debug.ShouldStop(4194304);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}